> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a secret

> Removes a specific secret by its key from the secrets bucket



## OpenAPI

````yaml /api-reference/endpoint/secrets-manager/openapi.json delete /secrets/{key}
openapi: 3.0.0
info:
  title: quiva.ai Gateway
  description: API for managing secrets in the quiva.ai platform
  version: 0.1.0
  contact:
    name: quiva.ai Support
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Secrets
    description: Operations for managing secrets
paths:
  /secrets/{key}:
    delete:
      tags:
        - Secrets
      summary: Delete a secret
      description: Removes a specific secret by its key from the secrets bucket
      operationId: deleteSecret
      parameters:
        - name: key
          in: path
          description: The key of the secret to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Secret deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
              example:
                message: success
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: error deleting secret
        '404':
          description: Secret not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: resource not found
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message describing what went wrong
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````